Bug 84611 - Objects rendering as black boxes using pdftoppm
Summary: Objects rendering as black boxes using pdftoppm
Status: RESOLVED MOVED
Alias: None
Product: poppler
Classification: Unclassified
Component: utils (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-02 22:49 UTC by Robert
Modified: 2018-08-20 21:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert 2014-10-02 22:49:24 UTC
Using 0.26.4 of pdftoppm, the resultant ppm has black boxes for some objects when it should have white areas.

It looks fine in Adobe Reader but not fine in Mac Preview and Chrome.

We can give you a dropbox link to the problematic pdf -- it's sensitive, so we don't want to upload it here.
Comment 1 Albert Astals Cid 2014-10-02 23:45:01 UTC
Link please.
Comment 2 Albert Astals Cid 2014-10-05 21:49:57 UTC
Hmm, you already reported this a while ago and afaics is already fixed in the development version, can you please try poppler from git master?
Comment 3 Robert 2014-10-13 18:01:01 UTC
I checkout out and built poppler from the master branch and ran pdftoppm on that pdf, and it's still generating the black boxes.
Comment 4 Albert Astals Cid 2014-10-13 19:21:26 UTC
In which file? Can you upload a screenshot pointing to waht is wrong? I can't see the problem.
Comment 5 Albert Astals Cid 2014-10-13 19:39:25 UTC
Ah, interesting it works at 100% but any other zooming indeeds produces some black boxes.
Comment 6 Thomas Freitag 2016-03-16 12:55:22 UTC
Isn't that the same problem as in bug 59991 and bug 94052? And therefore should be solved with the thinlinemode option?
Comment 7 GitLab Migration User 2018-08-20 21:52:28 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/poppler/poppler/issues/103.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.